{% import 'bootstrap/wtf.html' as wtf %}

{% extends 'base.html' %}
{% block body %}

{% with messages = get_flashed_messages() %}
  {% if messages %}
    <ul class=flashes>
    {% for message in messages %}
      <li>{{ message }}</li>
    {% endfor %}
    </ul>
  {% endif %}
{% endwith %}
{{ wtf.quick_form(form) }}
  {% if friends_request %}
      <h2>They want to be your friend!</h2>
    <ul class=flashes>
    {% for friend in friends_request %}
      <li>{{ friend.username }}</li>
    {% endfor %}
    </ul>
  {% endif %}
  {% if friends %}
      <h2>Your friends!</h2>
    <ul class=flashes>
    {% for friend in friends %}
      <li>{{ friend.username }}</li>
    {% endfor %}
    </ul>
  {% endif %}

{% endblock %}